# Local developpement
{ pkgs, config, lib, ... }:
{
  virtualisation = {
    docker.enable = true;
    docker.rootless = {
      enable = true;
      setSocketVariable = true;
    };
    libvirtd.enable = true;
    lxd.enable = true;
  };

  # List packages installed in system profile. To search, run:
  # $ nix search wget
  environment.systemPackages = with pkgs; [
    (import (fetchTarball https://install.devenv.sh/latest)).default
    direnv
    docker-compose
    nodejs
    php
    gcc
    clang
    zig
    php82Packages.composer
    php82Packages.php-cs-fixer
    rpi-imager
    symfony-cli
    virt-manager
    yarn
    zola
  ];
}